package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.EpsInitialTrafficData;
import org.springframework.data.repository.query.Param;

import java.util.List;

public interface EpsInitialTrafficDataMapper {
    /**
     * 创建指定名称的EPS流量表
     * @param tableName 表名
     */
    void createEpsTrafficTable(@Param("tableName") String tableName);
    /**
     * 创建指定名称的EPS流量初始表
     * @param tableName 表名
     */
    void createEpsInitialTrafficTable(@Param("tableName") String tableName);
    /**
     * 单条插入数据
     * @param data 流量数据
     */
    void insert(EpsInitialTrafficData data);

    /**
     * 批量插入数据
     * @param epsInitialTrafficData 流量数据实体类
     */
    void batchInsert(EpsInitialTrafficData epsInitialTrafficData);

    /**
     * 条件查询
     * @param condition 查询条件实体
     * @return 流量数据列表
     */
    List<EpsInitialTrafficData> selectByCondition(EpsInitialTrafficData condition);
    /**
     * 查询初始流量信息
     * @param condition 查询条件实体
     * @return 初始流量数据列表
     */
    List<EpsInitialTrafficData> getAllTraficMsg(EpsInitialTrafficData condition);

    /**
     * 保存金山流量信息
     * @param epsInitialTrafficData
     * @return
     */
    int updateMachineTraffic(EpsInitialTrafficData epsInitialTrafficData);

    List<EpsInitialTrafficData> getTrafficListByClientIds(EpsInitialTrafficData condition);
}
